
AdapterId 05C1Dh

AdapterName "DCA IRMAtrac Token-Ring Adapter/Convertible"

NumBytes 4

NamedItem
      Prompt "Adapter Data Rate"
	choice  " 04 Mbps "  pos[0] = xxxxxx1xb 
	choice  " 16 Mbps "  pos[0] = xxxxxx0xb 

   Help
     "Choose 4 Mbps or 16 Mbps.  Default: 4 Mbps.  The data 
     rate you choose must match the data rate of your token-ring 
     network, or your adapter will fail to insert into the ring.  
     If your RIM operates at a fixed speed (the speed is not 
     software-selectable), this parameter is ignored."

NamedItem                                           
      Prompt "Cable Type"
	choice  " Shielded Twisted Pair   "  pos[0] = xxxxx0xxb 
	choice  " Unshielded Twisted Pair "  pos[0] = xxxxx1xxb 

   Help

     "Choose Shielded Twisted Pair or Unshielded Twisted Pair.  
     Default: Shielded Twisted Pair.  For Shielded Twisted Pair, 
     or STP, use the DB-9 connector to attach the token-ring cable 
     to the IRMAtrac adapter.  For Unshielded Twisted Pair, or UTP, 
     use the telephone type connector to attach the token-ring cable 
     to the IRMAtrac adapter.  Once the configuration takes effect, 
     the IRMAtrac connector for the cable type not selected is 
     disabled.  If your RIM supports only 4 Mbps operation or has
     only one type of connector, this parameter is ignored."

NamedItem
      Prompt "Interrupt Level (IRQ)"
	choice  " IRQ 03 "  pos[0] = xx1xxxxxb pos[1] = xxxxx001b int 3
	choice  " IRQ 04 "  pos[0] = xx1xxxxxb pos[1] = xxxxx100b int 4
	choice  " IRQ 05 "  pos[0] = xx1xxxxxb pos[1] = xxxxx110b int 5
	choice  " IRQ 06 "  pos[0] = xx1xxxxxb pos[1] = xxxxx101b int 6
	choice  " IRQ 07 "  pos[0] = xx1xxxxxb pos[1] = xxxxx111b int 7
	choice  " IRQ 10 "  pos[0] = xx1xxxxxb pos[1] = xxxxx010b int 10
	choice  " IRQ 11 "  pos[0] = xx1xxxxxb pos[1] = xxxxx011b int 11
	choice  " IRQ 02 "  pos[0] = xx1xxxxxb pos[1] = xxxxx000b int 2

       
   Help
     "Choose one of the following interrupt level values: 2, 10, 11, 
     3, 4, 5, 6, or 7 (from highest to lowest priority).  Default: 3.  
     The interrupt level enables the adapter to request resources from 
     the PC's CPU and determines the priority the CPU uses to answer 
     requests.  Make sure that the IRMAtrac adapter does not have the 
     same interrupt level as another adapter.  (The Set configuration 
     program does not indicate interrupt conflicts.  You need to manually 
     check for conflicts.)  If an interrupt conflict occurs while the 
     IRMAtrac adapter is operating, a variety of malfunctions can result."
      
			    
NamedItem
      Prompt "Data Transfer"
	choice  " DMA Arb 04 "  pos[0] = x1xxxxxxb pos[2] = 0100xxx0b arb 4
	choice  " DMA Arb 05 "  pos[0] = x1xxxxxxb pos[2] = 0101xxx0b arb 5
	choice  " DMA Arb 06 "  pos[0] = x1xxxxxxb pos[2] = 0110xxx0b arb 6
	choice  " DMA Arb 07 "  pos[0] = x1xxxxxxb pos[2] = 0111xxx0b arb 7
	choice  " DMA Arb 08 "  pos[0] = x1xxxxxxb pos[2] = 1000xxx0b arb 8
	choice  " DMA Arb 09 "  pos[0] = x1xxxxxxb pos[2] = 1001xxx0b arb 9
	choice  " DMA Arb 10 "  pos[0] = x1xxxxxxb pos[2] = 1010xxx0b arb 10
	choice  " DMA Arb 11 "  pos[0] = x1xxxxxxb pos[2] = 1011xxx0b arb 11
	choice  " DMA Arb 12 "  pos[0] = x1xxxxxxb pos[2] = 1100xxx0b arb 12
	choice  " DMA Arb 13 "  pos[0] = x1xxxxxxb pos[2] = 1101xxx0b arb 13
	choice  " DMA Arb 14 "  pos[0] = x1xxxxxxb pos[2] = 1110xxx0b arb 14
	choice  " DMA Arb 00 "  pos[0] = x1xxxxxxb pos[2] = 0000xxx0b arb 0
	choice  " DMA Arb 01 "  pos[0] = x1xxxxxxb pos[2] = 0001xxx0b arb 1
	choice  " DMA Arb 02 "  pos[0] = x1xxxxxxb pos[2] = 0010xxx0b arb 2
	choice  " DMA Arb 03 "  pos[0] = x1xxxxxxb pos[2] = 0011xxx0b arb 3
	choice  " PIO        "  pos[0] = x0xxxxxxb 
      
   Help
      "Choose a DMA arbitration level to enable Bus-Master DMA, or 
     choose PIO (Programmed I/O).  Default: DMA Arb 04.  The DMA 
     arbitration level ranges from 0 to 14, with 0 as the highest 
     priority and 14 as the lowest priority.  If two devices want to 
     use the DMA channel at the same time, the highest priority device 
     wins.  Each adapter in your system must have a unique arbitration 
     level.  An asterisk (*) next to your arbitration selection means 
     there is a conflict.  If there is a conflict, you must choose a 
     new arbitration level.  If you choose automatic configuration, 
     the Set configuration program searches for an arbitration level 
     that is not in use, starting with arbitration levels 04 through 
     14, then 00 through 03.  If no arbitration levels are available, 
     PIO is chosen.  In most cases, you will not notice the effect of 
     the arbitration level on IRMAtrac's performance." 


NamedItem
      Prompt "Fairness for Bus-Master DMA"
	choice  " ON  " pos[2] = xxxxxx1xb 
	choice  " OFF " pos[2] = xxxxxx0xb 

   Help
     "Choose fairness ON or fairness OFF.  Default: ON.  Fairness 
     determines how the IRMAtrac adapter contends for the DMA 
     bus through its arbitration level.  This field is valid only 
     for Bus-Master DMA operation.  If fairness is ON, the adapter 
     equitably shares the channel with other DMA devices.  If 
     fairness is OFF, lower-priority DMA devices may be excluded 
     from the bus.  In most cases, however, you will not notice 
     the effect that the fairness setting has on IRMAtrac's 
     performance."


NamedItem
      Prompt "Bus Release for Bus-Master DMA"
       choice  " Delay     "   pos[2] = xxxxx1xxb 
       choice  " Immediate "   pos[2] = xxxxx0xxb 

   Help
     "Choose Delay or Immediate for bus release.  Default: Delay. 
     The bus release setting determines how quickly the IRMAtrac 
     adapter releases the bus after another device issues a 
     DMA bus request.  This field is valid only for Bus-Master DMA 
     operation.  If bus release is Delay, the adapter can hold the 
     bus for a maximum of 7.8 microseconds before releasing it.  
     If bus release is Immediate, the adapter releases the bus 
     immediately after a DMA bus request is issued.  Delay offers 
     the best performance, because the IRMAtrac adapter can hold 
     the bus for a longer period of time without interruption.  
     If you specify Delay, other devices' performance may 
     degrade because they cannot access the bus as quickly.  
     However, in most cases, you will not notice the effect that 
     the bus release setting has on IRMAtrac's performance."
      
NamedItem
      Prompt "Adapter I/O Address Range"
      choice  " 0A20-0A3F "  pos[3] = xxxxx001b io 0A20h-0A3Fh
      choice  " 0A40-0A5F "  pos[3] = xxxxx010b io 0A40h-0A5Fh
      choice  " 0A60-0A7F "  pos[3] = xxxxx011b io 0A60h-0A7Fh
      choice  " 1A00-1A1F "  pos[3] = xxxxx100b io 1A00h-1A1Fh
      choice  " 1A20-1A3F "  pos[3] = xxxxx101b io 1A20h-1A3Fh
      choice  " 1A40-1A5F "  pos[3] = xxxxx110b io 1A40h-1A5Fh
      choice  " 1A60-1A7F "  pos[3] = xxxxx111b io 1A60h-1A7Fh
      choice  " 0A00-0A1F "  pos[3] = xxxxx000b io 0A00h-0A1Fh

      
   Help
     "Choose an I/O address range for the IRMAtrac adapter.  Default: 
     0A20-0A3F.  You can choose from eight different address ranges.  
     The I/O address range should not conflict with another adapter's 
     address.  If an asterisk (*) appears next to your selection, 
     the address range conflicts with another adapter.  You can 
     change either IRMAtrac's address range or the address of the 
     other adapter that has the same address.  If you choose automatic 
     configuration, the Set configuration program chooses an address 
     that does not conflict with another device in your system."



NamedItem                                                       
      Prompt "Boot ROM Address Range/Disable"
      choice  " DISABLED    "  pos[0] = xxx0xxxxb
      choice  " C4000-C7FFF "  pos[0] = 0xx1xxxxb pos[3] = x001xxxxb  MEM 0C4000h - 0C7FFFh
      choice  " C8000-CBFFF "  pos[0] = 0xx1xxxxb pos[3] = x010xxxxb  MEM 0C8000h - 0CBFFFh
      choice  " CC000-CFFFF "  pos[0] = 0xx1xxxxb pos[3] = x011xxxxb  MEM 0CC000h - 0CFFFFh
      choice  " D4000-D7FFF "  pos[0] = 0xx1xxxxb pos[3] = x101xxxxb  MEM 0D4000h - 0D7FFFh
      choice  " D8000-DBFFF "  pos[0] = 0xx1xxxxb pos[3] = x110xxxxb  MEM 0D8000h - 0DBFFFh
      choice  " DC000-DFFFF "  pos[0] = 0xx1xxxxb pos[3] = x111xxxxb  MEM 0DC000h - 0DFFFFh
      
   Help
     "Choose a boot ROM address range, or choose DISABLED to disable 
     boot ROM support.  Default: DISABLED.  You can choose 
     from six different address ranges.  The address range should not 
     conflict with another device in your system.  If an asterisk (*) 
     appears next to your selection, the address range conflicts with 
     another device.  You can change the address of either the boot ROM 
     or the other device." 
